The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Ruby support on CentOs 7 WHM 11.50

Discussion in 'General Discussion' started by Joao Beno, Jul 16, 2015.

  1. Joao Beno

    Joao Beno Registered

    Joined:
    Jun 19, 2015
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Goiânia, Goiás, Brasil
    cPanel Access Level:
    Root Administrator
    Hello friends! The title pretty much explains what I want...

    I did:
    Code:
    root@server [/scripts]# yum list ruby
    Plugins carregados: fastestmirror
    Loading mirror speeds from cached hostfile
    * base: mirror.teklinks.com
    * epel: archive.linux.duke.edu
    * extras: ftp.usf.edu
    * updates: mirror.fdcservers.net
    Pacotes disponíveis
    ruby.x86_64                                    2.0.0.598-25.el7_1                                              updates 
    And I got this:
    Code:
    root@server [/scripts]# ./installruby
    warn [installruby] Unable to locate gem binary.
    warn [installruby] Unable to locate ruby binary.
    info [checkccompiler] /root/.cpanel/datastore/Cpanel::Sys::Compiler::test_compile_gcc
    C compiler (/usr/bin/gcc) OK (cached Thu Jul 16 12:46:27 2015)
    Tuned C compiler not available because it is not enabled
    info [installsqlite3] Sqlite3 is already installed.
    
    Error: This script only works with the Ruby version distributed with Red Hat 6, CentOS 6, and CloudLinux 6.
    Is there any way to get ruby on CentOs 7?
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    653
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    This was recently brought up with internal case number 192221. To paraphrase the response from our development team, Mongrel will segfault with Ruby newer than version 1.8.7. Ruby can be installed through YUM and the gem functionality will work correctly if you run the following command:

    Code:
    yum install -y ruby rubygems
    However, Rails will not function on CentOS 7. The referenced case number seeks to clarify this when customers attempt to run the "installruby" script.

    Thank you.
     
Loading...

Share This Page